# Enum Class DiploidHaplotype

java.lang.Object
java.lang.Enum<DiploidHaplotype>
picard.fingerprint.DiploidHaplotype

All Implemented Interfaces:
  `Serializable, Comparable<DiploidHaplotype>, Constable`

public enum DiploidHaplotype extends Enum<DiploidHaplotype>
Simple enum to represent the three possible combinations of major/major, major/minor and minor/minor haplotypes for a diploid individual.

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`aa`
`Aa`
`AA`

## Method Summary

Modifier and Type
Method
Description
`static DiploidHaplotype`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DiploidHaplotype[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### AA

public static final DiploidHaplotype AA

### Aa

public static final DiploidHaplotype Aa

### aa

public static final DiploidHaplotype aa

## Method Details

### values

public static DiploidHaplotype[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DiploidHaplotype valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null